POST /launcher/set-state
Set or update user state for the game

Header Parameters

X-Request-Nonce string optional header
Random string identifier for request (for signature verification)
X-Request-Signature string optional header
MD5 hash for request verification

Request Body required

application/json
launcherJwt string REQUIRED
state string REQUIRED
JSON string containing state data
label string REQUIRED

Responses

200 Successful response
application/json
success boolean
newState object
_id string
gameId string
ipfsHash string
normalizedAddress string
label string
updatedAt integer (int64)
state object
400 Bad Request
401 Unauthorized
curl -X POST 'https://api.basement.fun/launcher/set-state' \
  -H 'Content-Type: application/json' \
  -d '{
  "launcherJwt": "string",
  "state": "string",
  "label": "string"
}'
const response = await fetch('https://api.basement.fun/launcher/set-state', {
  method: 'POST',
  headers: {
      "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "launcherJwt": "string",
    "state": "string",
    "label": "string"
  })
});

const data = await response.json();
console.log(data);
import requests

response = requests.post('https://api.basement.fun/launcher/set-state', json={
  "launcherJwt": "string",
  "state": "string",
  "label": "string"
})
print(response.json())
200 Response
{
  "success": true,
  "newState": {
    "_id": "<string>",
    "gameId": "<string>",
    "ipfsHash": "<string>",
    "normalizedAddress": "<string>",
    "label": "<string>",
    "updatedAt": 123,
    "state": "<object>"
  }
}
POST /launcher/set-state
Ask a question... ⌘I